Skip to main content
POST
/
v1
/
devices
/
hvac
/
{id}
/
linked
update HVAC
curl --request POST \
  --url https://api.example.com/v1/devices/hvac/{id}/linked \
  --header 'Content-Type: application/json' \
  --header 'x-ws-api-key: <api-key>' \
  --data '{
  "linked": true
}'
{
  "deviceId": "<string>",
  "systemDetails": "<string>",
  "lastSetPointSchedule": "<unknown>",
  "lastOptimizationRunData": "<unknown>",
  "deleted": true,
  "targetCoolSetpoint": 123,
  "targetHeatSetpoint": 123,
  "maxTemp": 123,
  "minTemp": 123,
  "currentTemp": 123,
  "coolingRate": 123,
  "heatingRate": 123,
  "heatTransferCoefficient": 123,
  "irradianceCoefficient": 123,
  "thermodynamicValuesUpdatedAt": null
}

Documentation Index

Fetch the complete documentation index at: https://docs.wattshift.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-ws-api-key
string
header
required

Headers

x-ws-api-key
string

WattShift API Key

Path Parameters

id
string
required

Body

application/json
linked
boolean

This is to check if the device is linked to user

Response

200 - application/json
deviceId
string
required
systemDetails
required
lastSetPointSchedule
any
required
lastOptimizationRunData
any
required
deleted
boolean
required
targetCoolSetpoint
number | null
targetHeatSetpoint
number | null
maxTemp
number | null
minTemp
number | null
currentTemp
number | null
coolingRate
number | null
heatingRate
number | null
heatTransferCoefficient
number | null
irradianceCoefficient
number | null
thermodynamicValuesUpdatedAt
unknown